### Method

# Gio DBusNodeInfo lookup_interface

since: 2.26

#### Declaration [src]

    GDBusInterfaceInfo*
    g_dbus_node_info_lookup_interface (
      GDBusNodeInfo* info,
      const gchar* name
    )

#### Description [src]

Looks up information about an interface.

The cost of this function is O(n) in number of interfaces.

Available since: 2.26

#### Parameters

`name`

  Type: `const gchar*`

  A D-Bus interface name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDBusInterfaceInfo`

A `GDBusInterfaceInfo` or `NULL` if not found. Do not free, it is owned by `info`.

The returned data is owned by the instance.
The return value can be `NULL`.